Cassandra.AsyncProcessor.describe_version (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.describe_version<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_version_args,java.lang.String>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.describe_version<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.describe_version<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_version_args,java.lang.String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.AsyncProcessor.describe_version()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.describe_version_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.lang.String>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.describe_version_args args, org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cassandra.AsyncProcessor.describe_version

          public Cassandra.AsyncProcessor.describe_version()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.describe_version_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_version_args,java.lang.String>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.lang.String> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                       int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_version_args,java.lang.String>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_version_args,java.lang.String>`

    - #### start

          public void start(I iface,
                   Cassandra.describe_version_args args,
                   org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_version_args,java.lang.String>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation